REST API to create Project Versions
Status: Closed Start date: 2011-08-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'm already using the API to retrieve Issues' versions in Redmine Java API.

The way Redmine Java API is tested is:

a new "test" project is created for each build before all tests are executed. Tests are run against that temporary project.

now in order to make the automated testing reliable I also need to create a "Version" for that project,

otherwise I can't check whether or not the version returned for an Issue is valid.

I could use a pre-defined "test" project to run all auto-tests against, but this is not very nice.

on the related note: I'd need to specify "fix_version" and "affected version" when creating/updating Issues. not sure this is

implemented in the REST API...

Related issues:

Related to Redmine - Feature #7403: REST API for Versions Closed 2011-01-21

History

#1 - 2016-07-09 22:55 - Alex Last

- Status changed from New to Resolved

I see creating project versions works in Redmine 3.2.3  REST API. I will close this

#2 - 2017-01-22 06:32 - Go MAEDA

- Status changed from Resolved to Closed

Alex Last wrote:

I see creating project versions works in Redmine 3.2.3  REST API. I will close this

 Thank you for the feedback. I am closing this issue.

#3 - 2017-01-22 06:32 - Go MAEDA

- Related to Feature #7403: REST API for Versions added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.tcpdf.org

